Package org.opensaml.saml.metadata.resolver.index

# Class SimpleStringMetadataIndexKey

java.lang.Object
org.opensaml.saml.metadata.resolver.index.SimpleStringMetadataIndexKey

All Implemented Interfaces:
  `MetadataIndexKey`

public class SimpleStringMetadataIndexKey extends Object implements MetadataIndexKey
A simple implementation of `MetadataIndexKey` based on a single input string.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`value`
The indexed value.

## Constructor Summary

Constructors
Constructor
Description
`SimpleStringMetadataIndexKey(String newValue)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getValue()`
Get the string value used as the index key.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### value

@Nonnull private String value
The indexed value.

## Constructor Details

### SimpleStringMetadataIndexKey

public SimpleStringMetadataIndexKey(@Nonnull String newValue)
Constructor.

Parameters:
  `newValue` - the string value to use as the index key

## Method Details

### getValue

@Nonnull public String getValue()
Get the string value used as the index key.

Returns:
  the string value

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`